Bug 615474 - (CVE-2010-1210) CVE-2010-1210 Mozilla Characters mapped to U+FFFD in 8 bit encodings cause subsequent character to vanish
CVE-2010-1210 Mozilla Characters mapped to U+FFFD in 8 bit encodings cause su...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100720,reported=20100714,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 15:42 EDT by Josh Bressers
Modified: 2013-04-12 14:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 14:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0547 normal SHIPPED_LIVE Critical: firefox security update 2010-07-20 21:09:15 EDT

  None (edit)
Description Josh Bressers 2010-07-16 15:42:16 EDT
Security researcher O. Andersen reported that undefined positions within
various 8 bit character encodings are mapped to the sequence U+FFFD which
when displayed causes the immediately following character to disappear from
the text run. This could potentially contribute to XSS problems on sites
which expected extra characters to be present within strings being
sanitized on the server.
Comment 1 Vincent Danen 2010-07-20 20:10:09 EDT
This is now public: http://www.mozilla.org/security/announce/2010/mfsa2010-44.html
Comment 2 errata-xmlrpc 2010-07-20 21:09:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html
Comment 3 Fedora Update System 2010-07-22 22:36:34 EDT
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2010-07-22 22:48:26 EDT
thunderbird-3.1.1-1.fc13, sunbird-1.0-0.26.b2pre.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.